import pytest

from test.workflows import assert_complete, extract_state, run_workflow


@pytest.mark.workflow()
def test_task_validate_geant_products(responses, faker):
    result, _, _ = run_workflow("task_validate_geant_products", [{}])
    assert_complete(result)
    state = extract_state(result)

    assert state["check_all_workflows_are_in_db"]
    assert state["check_workflows_for_matching_targets_and_descriptions"]
    # assert state["check_that_products_have_at_least_one_workflow"]  FIXME: Uncomment when the task is reverted again
    assert state["check_db_fixed_input_config"]
    assert state["check_that_products_have_create_modify_and_terminate_workflows"]
    assert state["check_subscription_models"]
